qpid::framing::Var32Value Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions
qpid::framing::Var32Value Class Reference

`#include <qpid/framing/FieldValue.h>`

List of all members.

## Public Member Functions
| Var32Value (const std::string &v, uint8_t code)
void | setType (uint8_t type)
uint8_t | getType () const
Data & | getData ()
uint32_t | encodedSize () const
bool | empty () const
void | encode (Buffer &buffer)
void | decode (Buffer &buffer)
bool | operator== (const FieldValue &) const
QPID_COMMON_INLINE_EXTERN bool | operator!= (const FieldValue &v) const
void | print (std::ostream &out) const
template<typename T >
bool | convertsTo () const
template<typename T >
T | get () const
template<class T >
bool | get (T &) const
| Accessor that can be used to get values of type FieldTable, Array and List.
template<class T , int W>
T | getIntegerValue () const
template<class T >
T | getIntegerValue () const
template<class T , int W>
T | getFloatingPointValue () const
template<int W>
void | getFixedWidthValue (unsigned char *) const
## Static Protected Member Functions
static uint8_t * | convertIfRequired (uint8_t *const octets, int width)

## Constructor & Destructor Documentation

qpid::framing::Var32Value::Var32Value | ( | const std::string & | v,
|  | uint8_t | code
| ) |  |

## Member Function Documentation

static uint8_t* qpid::framing::FieldValue::convertIfRequired | ( | uint8_t *const | octets,
|  | int | width
| ) |  | `[static, protected, inherited]`

Referenced by qpid::framing::FieldValue::getFloatingPointValue().

bool qpid::framing::FieldValue::convertsTo< int64_t > | ( |  | ) | const`[inline, inherited]`

Definition at line 97 of file FieldValue.h.

void qpid::framing::FieldValue::decode | ( | Buffer & | buffer | ) | `[inherited]`

bool qpid::framing::FieldValue::empty | ( |  | ) | const`[inline, inherited]`

Definition at line 89 of file FieldValue.h.

void qpid::framing::FieldValue::encode | ( | Buffer & | buffer | ) | `[inherited]`

uint32_t qpid::framing::FieldValue::encodedSize | ( |  | ) | const`[inline, inherited]`

Definition at line 88 of file FieldValue.h.

double qpid::framing::FieldValue::get< double > | ( |  | ) | const`[inline, inherited]`

Definition at line 98 of file FieldValue.h.

template<class T >

bool qpid::framing::FieldValue::get | ( | T & | t | ) | const`[inline, inherited]`

Accessor that can be used to get values of type FieldTable, Array and List.

Definition at line 325 of file FieldValue.h.

Data& qpid::framing::FieldValue::getData | ( |  | ) | `[inline, inherited]`

Definition at line 87 of file FieldValue.h.

template<int W>

void qpid::framing::FieldValue::getFixedWidthValue | ( | unsigned char * | value | ) | const`[inherited]`

Definition at line 226 of file FieldValue.h.

template<class T , int W>

T qpid::framing::FieldValue::getFloatingPointValue | ( |  | ) | const`[inline, inherited]`

Definition at line 213 of file FieldValue.h.

References qpid::framing::FieldValue::convertIfRequired().

template<class T >

T qpid::framing::FieldValue::getIntegerValue | ( |  | ) | const`[inline, inherited]`

Definition at line 184 of file FieldValue.h.

template<class T >

T qpid::framing::FieldValue::getIntegerValue | ( |  | ) | const`[inherited]`

uint8_t qpid::framing::FieldValue::getType | ( |  | ) | const`[inherited]`

QPID_COMMON_INLINE_EXTERN bool qpid::framing::FieldValue::operator!= | ( | const FieldValue & | v | ) | const`[inline, inherited]`

Definition at line 93 of file FieldValue.h.

bool qpid::framing::FieldValue::operator== | ( | const FieldValue & |  | ) | const`[inherited]`

void qpid::framing::FieldValue::print | ( | std::ostream & | out | ) | const`[inherited]`

Referenced by qpid::framing::operator<<().

void qpid::framing::FieldValue::setType | ( | uint8_t | type | ) | `[inherited]`

The documentation for this class was generated from the following file:

- qpid/framing/FieldValue.h